/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample.tables.pojos;


import java.io.Serializable;
import java.sql.Date;
import java.util.UUID;

import javax.annotation.processing.Generated;


/**
 * Таблица целей
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Purpose implements Serializable {

    private static final long serialVersionUID = 1L;

    private final UUID   uuid;
    private final String description;
    private final Date   createdAt;
    private final Date   desiredAt;
    private final Date   dueAt;
    private final Double percentCompletion;
    private final UUID   customerUuid;
    private final UUID   categoryUuid;

    public Purpose(Purpose value) {
        this.uuid = value.uuid;
        this.description = value.description;
        this.createdAt = value.createdAt;
        this.desiredAt = value.desiredAt;
        this.dueAt = value.dueAt;
        this.percentCompletion = value.percentCompletion;
        this.customerUuid = value.customerUuid;
        this.categoryUuid = value.categoryUuid;
    }

    public Purpose(
        UUID   uuid,
        String description,
        Date   createdAt,
        Date   desiredAt,
        Date   dueAt,
        Double percentCompletion,
        UUID   customerUuid,
        UUID   categoryUuid
    ) {
        this.uuid = uuid;
        this.description = description;
        this.createdAt = createdAt;
        this.desiredAt = desiredAt;
        this.dueAt = dueAt;
        this.percentCompletion = percentCompletion;
        this.customerUuid = customerUuid;
        this.categoryUuid = categoryUuid;
    }

    /**
     * Getter for <code>selfbooster.purpose.uuid</code>.
     */
    public UUID getUuid() {
        return this.uuid;
    }

    /**
     * Getter for <code>selfbooster.purpose.description</code>.
     */
    public String getDescription() {
        return this.description;
    }

    /**
     * Getter for <code>selfbooster.purpose.created_at</code>.
     */
    public Date getCreatedAt() {
        return this.createdAt;
    }

    /**
     * Getter for <code>selfbooster.purpose.desired_at</code>.
     */
    public Date getDesiredAt() {
        return this.desiredAt;
    }

    /**
     * Getter for <code>selfbooster.purpose.due_at</code>.
     */
    public Date getDueAt() {
        return this.dueAt;
    }

    /**
     * Getter for <code>selfbooster.purpose.percent_completion</code>. процент
     * выполнения
     */
    public Double getPercentCompletion() {
        return this.percentCompletion;
    }

    /**
     * Getter for <code>selfbooster.purpose.customer_uuid</code>.
     */
    public UUID getCustomerUuid() {
        return this.customerUuid;
    }

    /**
     * Getter for <code>selfbooster.purpose.category_uuid</code>.
     */
    public UUID getCategoryUuid() {
        return this.categoryUuid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Purpose (");

        sb.append(uuid);
        sb.append(", ").append(description);
        sb.append(", ").append(createdAt);
        sb.append(", ").append(desiredAt);
        sb.append(", ").append(dueAt);
        sb.append(", ").append(percentCompletion);
        sb.append(", ").append(customerUuid);
        sb.append(", ").append(categoryUuid);

        sb.append(")");
        return sb.toString();
    }
}
